%define upstream_name    Linux-Prctl
%define upstream_version 1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Control process parameters and capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libcap-devel
BuildRequires: perl-devel

%description
The linux prctl function allows you to control specific characteristics of
a process' behaviour. Usage of the function is fairly messy though, due to
limitations in C and linux. This module provides a nice non-messy
python(ic) interface. Most of the text in this documentation is based on
text from the linux manpages prctl(2) and capabilities(7)

Besides prctl, this library also wraps libcap for complete capability
handling.

EXPORTS
    There are 2 export tags: :constants and :functions. These export what
    you think they will.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Thu Nov 17 2011 kharec <kharec> 1.400.0-1.mga2
+ Revision: 168580
- add correct BR
- imported package perl-Linux-Prctl


* Thu Nov 17 2011 cpan2dist 1.4-1mga
- initial mageia release, generated with cpan2dist
